/*:
# **Kapitel 2.4**
## **Aufgabe 4 Lotto**
Lotto „6 aus 49“ ist ein Glücksspiel, bei dem man auf Kombinationen aus sechs verschiedenener Zufallszahlen zwischen 1 und 49 wetten kann. Im Folgenden soll eine (stark vereinfachte) Implementierung der Grundfunktionalitäten vorgenommen werden.\
a\
Wenn man online sechs Zahlen ausgewählt hat, werden diese intern in einem Feld gespeichert. Erstelle in einer Klasse LOTTO ein Feld für die Tipps und implementiere dann eine Methode *Tippen(zahl1, zahl2, …, zahl6)*, die das Beschriebene leistet. Die getippten Zahlen sollen am Ende der Methode auch ausgegeben werden. (Hinweis: Damit mehrmals gespielt wer­ den kann, muss das Feld am Anfang der Methode geleert werden.)\
In einer Methode *ZahlenZiehen()* soll die Auslosung der sechs Lottozahlen mit Hilfe eines Zufallsgenerators simuliert werden.  Die Zahlen sollen ebenfalls in einem Feld gespeichert werden. Dabei darf es keine doppelt gezogenen Zahlen geben. Im Struktogramm ist ein möglicher Algorithmus beschrieben.\
b\
Vollzieht zu zweit nach, wie der Algorithmus arbeitet. Setze ihn dann um.\
c\
Implementiere die Methode *TippÜberprüfen()*, die die aktuell gespeicherte Tippreihe mit den gezogenen Zahlen vergleicht und die Anzahl der „Richtigen“ zurückgibt. Nutze eine Wiederholung und die Methode *IstEnthalten(element)*!\
d\
Für Schnelle: Erstelle eine Methode zum effizienten Testen, die die Methoden *Tippen*, *ZahlenZiehen* und *TippÜberprüfen* direkt hintereinander ausführt und die alle Werte übersichtlich darstellt. Optimiere das Programm dann weiter (z. B. Überprüfung, ob nur Zahlen von 1 bis 49 eingegeben wurden).
*/
